cURL
curl --request GET \
--url https://sandbox-api.superpagamentos.com/customers/{customerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.superpagamentos.com/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.superpagamentos.com/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "672a2c0f-7172-4d8d-ba8f-f35805ab7d57",
"firstName": "João",
"lastName": "Silva",
"email": "email@email.com",
"phoneNumber": "00000000000",
"document": "00000000000",
"birthdate": "1994-10-04",
"address": {
"statusId": "APPROVED",
"zipcode": 87654321,
"street": "Rua B",
"streetNumber": 200,
"complement": "Casa 10",
"reference": "Ao lado da padaria",
"neighborhood": "Jardins",
"city": "São Paulo",
"state": "SP"
},
"statusId": "APPROVED",
"createdAt": "2025-06-01T03:15:56.085Z"
},
"message": "Cliente encontrado com sucesso"
}{
"data": {
"message": "Cliente não encontrado",
"returnCode": -7400
}
}Clientes
Detalhar cliente
Busca os dados de um cliente específico. A resposta inclui informações detalhadas do cliente, como dados pessoais, contato e endereço.
GET
/
customers
/
{customerId}
cURL
Authorizations
Token JWT gerado na rota de autenticação (/auth). Deve ser enviado no formato: Bearer
Path Parameters
Identificador único do cliente
⌘I